## qt6-serialport 6.9.2

=== examples/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_examples_build_begin(EXTERNAL_BUILD)

if(NOT QNX)
    add_subdirectory(serialport)
endif()

qt_examples_build_end()

=== examples/serialport/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if(TARGET Qt::Widgets)
    qt_internal_add_example(terminal)
    qt_internal_add_example(blockingsender)
    qt_internal_add_example(blockingreceiver)
endif()

=== examples/serialport/terminal/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(terminal LANGUAGES CXX)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/serialport/terminal")

find_package(Qt6 REQUIRED COMPONENTS Core Gui SerialPort Widgets)

qt_standard_project_setup()

qt_add_executable(terminal
    console.cpp console.h
    main.cpp
    mainwindow.cpp mainwindow.h mainwindow.ui
    settingsdialog.cpp settingsdialog.h settingsdialog.ui
)

set_target_properties(terminal PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(terminal PRIVATE
    Qt::Core
    Qt::Gui
    Qt::SerialPort
    Qt::Widgets
)

# Resources:
set(terminal_resource_files
    "images/application-exit.png"
    "images/clear.png"
    "images/connect.png"
    "images/disconnect.png"
    "images/settings.png"
)

qt_add_resources(terminal "terminal"
    PREFIX
        "/"
    FILES
        ${terminal_resource_files}
)

install(TARGETS terminal
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/qserialport/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qserialport Binary:
#####################################################################

qt_internal_add_test(tst_qserialport
    SOURCES
        tst_qserialport.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::SerialPort
        Qt::Test
        Qt::TestPrivate
)

=== tests/auto/qserialportinfo/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qserialportinfo Binary:
#####################################################################

qt_internal_add_test(tst_qserialportinfo
    SOURCES
        tst_qserialportinfo.cpp
    LIBRARIES
        Qt::SerialPort
        Qt::Test
)

=== tests/auto/qserialportinfoprivate/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qserialportinfoprivate Binary:
#####################################################################

qt_internal_add_test(tst_qserialportinfoprivate
    SOURCES
        tst_qserialportinfoprivate.cpp
    LIBRARIES
        Qt::SerialPortPrivate
        Qt::Test
)

=== debian/changelog ===
qt6-serialport (6.9.2-3build1) resolute; urgency=medium

  * No change rebuild dropping ccache.

 -- Rik Mills <rikmills@kde.org>  Sat, 01 Nov 2025 14:46:32 +0000

qt6-serialport (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Oct 2025 22:50:47 +0100

qt6-serialport (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 20:51:39 +0200

qt6-serialport (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Sep 2025 19:22:27 +0200

qt6-serialport (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Install missing cmake-files.
  * Do not use ccache on hurd.
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Aug 2025 10:58:42 +0200

qt6-serialport (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Jul 2025 14:37:58 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

# enable ccache with corresponding build-profile
ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
	extra_cmake_args += -DQT_USE_CCACHE=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-serialport 6.10.0

=== debian/changelog ===
qt6-serialport (6.10.0-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 15 Nov 2025 14:21:53 +0000

qt6-serialport (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:46 +1000

qt6-serialport (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-serialport (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 09:15:23 +1000

=== debian/control ===
Source: qt6-serialport
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libudev-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.0)
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-tools (>= 6.10~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-serialport.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-serialport
Maintainer: Neon CI <neon@kde.org>

Package: qt6-serialport
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6serialport6, libqt6serialport6t64
Description: Qt 6 serial port support library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 Serial ports.

Package: qt6-serialport-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-serialport (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6serialport6-dev (<< 6.4.2-2~)
Replaces: libqt6serialport6-dev
Description: Qt 6 serial port development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development headers for the serial port library.

Package: qt6-serialport-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-doc, qt6-serialport-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-serialport-doc-html
Description: Qt 6 serial port documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the serial port library.

Package: libqt6serialport6
Architecture: all
Depends: qt6-serialport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6serialport6t64
Architecture: all
Depends: qt6-serialport, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-serialport-doc-html
Architecture: all
Depends: qt6-serialport-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-serialport-examples
Architecture: all
Depends: qt6-serialport-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
		-DQT_UNITY_BUILD=ON \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
                sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-serialport 6.10.1

=== debian/changelog ===
qt6-serialport (6.10.1-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 02:01:39 +0000

qt6-serialport (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:07 +1000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0)
+               qt6-base-dev (>= 6.10.1)
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                      qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
-		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtserialport-everywhere-src-([\d\.]+\d).tar.xz

## qt6-serialport 6.10.2

=== debian/changelog ===
qt6-serialport (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Jan 2026 18:51:24 +0100

=== debian/control ===
Source: qt6-serialport
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.24~),
               libgl-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialport
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-serialport.git

Package: libqt6serialport6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 serial port support library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 Serial ports.

Package: qt6-serialport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6serialport6 (= ${binary:Version}), qt6-base-dev, ${misc:Depends},
Breaks: libqt6serialport6-dev (<< 6.4.1-2~),
Replaces: libqt6serialport6-dev (<< 6.4.1-2~),
Description: Qt 6 serial port development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development headers for the serial port library.

Package: qt6-serialport-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 serial port documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 serial port.

Package: qt6-serialport-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 serial port HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 serial port.

Package: qt6-serialport-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 serial port examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt serial port submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtserialport-everywhere-src-(.*)\.tar\.xz
